#include "main.h"
#include "keys_thread.h"

static uint16_t delay_ms = 500;	// Must be greater than 10ms

VOID scanKeysThread(ULONG initial_input)
{
	(void)initial_input;

	while(1)
	{
		HAL_GPIO_TogglePin(RX1_LED_GPIO_Port, RX1_LED_Pin);
		//HAL_GPIO_WritePin(RX1_LED_GPIO_Port, RX1_LED_Pin, GPIO_PIN_RESET);
		//HAL_GPIO_WritePin(RX2_LED_GPIO_Port, RX2_LED_Pin, GPIO_PIN_RESET);

		tx_thread_sleep(delay_ms);

		//HAL_GPIO_WritePin(RX1_LED_GPIO_Port, RX1_LED_Pin, GPIO_PIN_SET);
		//HAL_GPIO_WritePin(RX2_LED_GPIO_Port, RX2_LED_Pin, GPIO_PIN_SET);

		//tx_thread_sleep((TX_TIMER_TICKS_PER_SECOND * delay_ms)/1000);
	}
}
